package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目部门在册人员对象 sur_project_dept_wroks
 * 
 * @author JiangYuQi
 * @date 2023-08-15
 */
public class SurProjectDeptWroks extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 劳务人员 */
    @Excel(name = "劳务人员")
    private Long servicePersonnel;

    /** 监理人员 */
    @Excel(name = "监理人员")
    private Long supervisorPersonnel;

    /** 总包人员 */
    @Excel(name = "总包人员")
    private Long contractorPersonnel;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Integer isDel;

    private Integer oldServicePersonnel;
    private Integer oldSupervisorPersonnel;
    private Integer oldContractorPersonnel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setServicePersonnel(Long servicePersonnel) 
    {
        this.servicePersonnel = servicePersonnel;
    }

    public Long getServicePersonnel() 
    {
        return servicePersonnel;
    }
    public void setSupervisorPersonnel(Long supervisorPersonnel) 
    {
        this.supervisorPersonnel = supervisorPersonnel;
    }

    public Long getSupervisorPersonnel() 
    {
        return supervisorPersonnel;
    }
    public void setContractorPersonnel(Long contractorPersonnel) 
    {
        this.contractorPersonnel = contractorPersonnel;
    }

    public Long getContractorPersonnel() 
    {
        return contractorPersonnel;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getOldServicePersonnel() {
        return oldServicePersonnel;
    }

    public void setOldServicePersonnel(Integer oldServicePersonnel) {
        this.oldServicePersonnel = oldServicePersonnel;
    }

    public Integer getOldSupervisorPersonnel() {
        return oldSupervisorPersonnel;
    }

    public void setOldSupervisorPersonnel(Integer oldSupervisorPersonnel) {
        this.oldSupervisorPersonnel = oldSupervisorPersonnel;
    }

    public Integer getOldContractorPersonnel() {
        return oldContractorPersonnel;
    }

    public void setOldContractorPersonnel(Integer oldContractorPersonnel) {
        this.oldContractorPersonnel = oldContractorPersonnel;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("servicePersonnel", getServicePersonnel())
            .append("supervisorPersonnel", getSupervisorPersonnel())
            .append("contractorPersonnel", getContractorPersonnel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
